import {
	observer
} from 'mobx-react';
import {
	WeaTableNew
} from "comsMobx";
const WeaTable = WeaTableNew.WeaTable;

@observer
export default class Table extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			store
		} = this.props, {
			TABLE,
			tableObj
		} = store;

		return (
			<WeaTable ecId={`${this && this.props && this.props.ecId || ''}_WeaTable@e3xro9`} 
				{...TABLE}
				{...tableObj}
			/>
		);
	}
}